org.eclipse.emf.cdo.common.util

## Interface BlockingCloseableIterator<T>

- All Superinterfaces:
    Closeable, CloseableIterator<T>, java.util.Iterator<T>
  All Known Subinterfaces:
    InternalQueryResult
  All Known Implementing Classes:
    AbstractQueryIterator, AbstractQueryResult, CDOQueryQueue.BlockingCloseableIteratorImpl

      public interface BlockingCloseableIterator<T>
      extends CloseableIterator<T>

  A closeable iterator that blocks on `Iterator.hasNext()` until the next element is available or the end of the iteration is reached.
  Since:
    2.0
  Author:
    Simon McDuff

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `peek()` Non-blocking call.

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

- - ### Method Detail

    - #### peek

          T peek()

      Non-blocking call.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html